<form class="form certification-center-form" {{on "submit" @onSubmit}}>

  <section class="form-section">

    <PixInput
      @id="certificationCenterName"
      @label="Nom du centre"
      onchange={{this.handleCenterNameChange}}
      class="form-field"
      required={{true}}
      aria-required={{true}}
    />

    <div class="form-field">
      <PixSelect
        @label="Type d'établissement"
        @options={{this.certificationCenterTypes}}
        @placeholder="-- Choisissez --"
        @hideDefaultOption={{true}}
        @onChange={{this.selectCertificationCenterType}}
        @value={{@certificationCenter.type}}
        required={{true}}
        aria-required={{true}}
        as |certificationCenterType|
      >
        {{certificationCenterType.label}}
      </PixSelect>
    </div>

    <PixInput
      @id="certificationCenterExternalId"
      @label="Identifiant externe"
      onchange={{this.handleExternalIdChange}}
      class="form-field"
    />

    <PixInput
      @id="dataProtectionOfficerFirstName"
      {{on "change" this.handleDataProtectionOfficerFirstNameChange}}
      @label="Prénom du DPO"
      class="form-field"
    />

    <PixInput
      @id="dataProtectionOfficerLastName"
      {{on "change" this.handleDataProtectionOfficerLastNameChange}}
      @label="Nom du DPO"
      class="form-field"
    />

    <PixInput
      @id="dataProtectionOfficerEmail"
      {{on "change" this.handleDataProtectionOfficerEmailChange}}
      @label="Adresse e-mail du DPO"
      class="form-field"
    />

    <section>
      <h1 class="habilitations-title">Habilitations aux certifications complémentaires</h1>
      <ul class="form-field habilitations-checkbox-list">
        {{#each @habilitations as |habilitation index|}}
          <li class="habilitation-entry">
            <PixCheckbox
              @id={{concat "habilitation_" index}}
              @labelSize="small"
              onChange={{fn this.updateGrantedHabilitation habilitation}}
            >
              {{habilitation.label}}
            </PixCheckbox>
          </li>
        {{/each}}
      </ul>
    </section>
  </section>

  <section class="form-section form-actions">
    <PixButton
      @size="small"
      @backgroundColor="transparent-light"
      @isBorderVisible={{false}}
      @triggerAction={{@onCancel}}
    >Annuler</PixButton>
    <PixButton @type="submit" @size="small">Ajouter</PixButton>
  </section>
</form>